ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kenny Ballou (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-6903) Maven {artifactId} / {pom.groupId} Deprecation Warnings
Date Wed, 01 Apr 2015 07:33:54 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-6903?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Kenny Ballou updated AMBARI-6903:
---------------------------------
    Attachment: AMBARI-6903-2.patch

This patch seems to apply cleanly against current trunk (8985bcf11).

> Maven {artifactId} / {pom.groupId} Deprecation Warnings
> -------------------------------------------------------
>
>                 Key: AMBARI-6903
>                 URL: https://issues.apache.org/jira/browse/AMBARI-6903
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 1.6.1
>            Reporter: Kenny Ballou
>            Priority: Trivial
>              Labels: easyfix
>             Fix For: 2.1.0
>
>         Attachments: AMBARI-6903-2.patch, AMBARI-6903.patch
>
>   Original Estimate: 10m
>  Remaining Estimate: 10m
>
> While attempting to build latest from https://github.com/apache/ambari, I ran into several
deprecation warnings thrown by Maven:
> {code}
> [WARNING] The expression ${pom.groupId} is deprecated. Please use ${project.groupId}
instead.
> [WARNING] The expression ${artifactId} is deprecated. Please use ${project.artifactId}
instead.
> {code}
> Build command to produce this warning was the same found in the latest [documentation|https://cwiki.apache.org/confluence/display/AMBARI/Build+and+install+Ambari+1.6.1+from+Source]:
> {code}
> mvn -B clean install package rpm:rpm -DnewVersion=1.6.1 -DskipTests -Dpython.ver="python
>= 2.6"
> {code}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message